---
lang: en
title: 'API docs: socketio.socketiocomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiocomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoComponent](./socketio.socketiocomponent.md)

## SocketIoComponent class

**Signature:**

```typescript
export declare class SocketIoComponent implements Component 
```
**Implements:** [Component](./core.component.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app)](./socketio.socketiocomponent._constructor_.md) |  | Constructs a new instance of the <code>SocketIoComponent</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [bindings](./socketio.socketiocomponent.bindings.md) |  | [Binding](./context.binding.md)<!-- -->\[\] | Add built-in body parsers |
|  [booters](./socketio.socketiocomponent.booters.md) |  | (typeof [SocketIoBooter](./socketio.socketiobooter.md)<!-- -->)\[\] |  |
|  [providers](./socketio.socketiocomponent.providers.md) |  | [ProviderMap](./core.providermap.md) |  |
|  [servers](./socketio.socketiocomponent.servers.md) |  | { \[name: string\]: [Constructor](./context.constructor.md)<!-- -->&lt;[Server](./core.server.md)<!-- -->&gt;; } |  |


